package com.example.Util;


import android.content.Context;
import android.graphics.Color;

import com.example.cmknowledgegraph.R;
import com.github.johnpersano.supertoasts.library.Style;
import com.github.johnpersano.supertoasts.library.SuperActivityToast;
import com.github.johnpersano.supertoasts.library.utils.PaletteUtils;

/*
*
* 用于发出提示框
* */
public class ToolTip {

    public static void FadeCenter(Context context,String info){
        SuperActivityToast.create(context, new Style(), Style.TYPE_STANDARD)
                .setButtonText("UNDO")
                .setButtonIconResource(R.drawable.back)
                .setProgressBarColor(Color.WHITE)
                .setText(info)
                .setDuration(Style.DURATION_LONG)
                .setFrame(Style.FRAME_KITKAT)
                .setColor(PaletteUtils.getSolidColor(PaletteUtils.MATERIAL_RED))
                .setAnimations(Style.ANIMATIONS_SCALE).show();
    }
    public static void FlyTocenter(Context context, String info){
        SuperActivityToast.create(context, new Style(), Style.TYPE_STANDARD)
                .setButtonText("UNDO")
                .setButtonIconResource(R.drawable.back)
                .setProgressBarColor(Color.WHITE)
                .setText(info)
                .setDuration(Style.DURATION_MEDIUM)
                .setFrame(Style.FRAME_KITKAT)
                .setColor(PaletteUtils.getSolidColor(PaletteUtils.MATERIAL_BROWN))
                .setAnimations(Style.ANIMATIONS_FLY).show();
    }

}
