package com.cmkg.cmkg.Controller;


import com.cmkg.cmkg.Util.CodeMessage;
import com.cmkg.cmkg.database.user;
import com.cmkg.cmkg.repository.Login_Register_Repository;
import com.cmkg.cmkg.server.ReturnData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import scala.tools.nsc.doc.base.comment.Code;

@RestController
@RequestMapping("/request")
public class LoginRegisterController {

    @Autowired
    Login_Register_Repository login_register_repository;

    @RequestMapping("/login")
    @ResponseBody
    public ReturnData LoginGet(@RequestParam("phonenumber") String phonenumber, @RequestParam("password") String password){
        ReturnData returnData=new ReturnData();
        user user=login_register_repository.findById(phonenumber).orElse(null);
        if(user==null){
            returnData.setCode(CodeMessage.phonenumberisNotExist);
            returnData.setMsg("该用户不存在");
        }
        else{
            if(user.getPassword().equals(password)){
             returnData.setCode(CodeMessage.loginsucess);
             returnData.setMsg("登录成功");
             returnData.setData(user.getUsername());
            }else{
                returnData.setCode(CodeMessage.passwordError);
                returnData.setMsg("密码错误");
                returnData.setData("密码错误，登陆失败");
            }
        }
        return returnData;

    }

    @PostMapping("/register")
    @ResponseBody
    public ReturnData RegisterPost(@RequestBody user user){
        ReturnData returnData=new ReturnData();

        if(login_register_repository.findById(user.getPhonenumber()).orElse(null)==null) {
            login_register_repository.save(user);
            returnData.setCode(CodeMessage.registersucess);
            returnData.setMsg("注册成功");
            returnData.setData(null);
        }else{
            returnData.setCode(CodeMessage.phonenumberHadExist);
            returnData.setMsg("注册失败,用户已存在");
            returnData.setData(null);
        }

        return returnData;
    }

}
