package com.cmkg.cmkg;

import com.hankcs.hanlp.HanLP;
import com.hankcs.hanlp.seg.Segment;
import com.hankcs.hanlp.seg.common.Term;
import org.junit.jupiter.api.Test;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class hanlp {
    @Test
//    句子抽象化
    public void analyAbstract(){
        String test = "但丁密码的评分是多少";
        Segment segment = HanLP.newSegment().enableCustomDictionary(true);
        List<Term> terms = segment.seg(test);
        System.out.println(terms);




        String abstractQuery = "";
        Map<String, String> abstractMap = new HashMap<String, String>();
        int nrCount = 0; //nr 人名词性这个 词语出现的频率
        for (Term term : terms) {
            String word = term.word;
            String termStr = term.toString();

            System.out.println(termStr);
            if (termStr.contains("nm")) {        //nm 电影名
                abstractQuery += "nm ";
                abstractMap.put("nm", word);
            } else if (termStr.contains("nr") && nrCount == 0) { //nr 人名
                abstractQuery += "nnt ";
                abstractMap.put("nnt", word);
                nrCount++;
            }else if (termStr.contains("nr") && nrCount == 1) { //nr 人名 再出现一次，改成nnr
                abstractQuery += "nnr ";
                abstractMap.put("nnr", word);
                nrCount++;
            }else if (termStr.contains("x")) {  //x  评分
                abstractQuery += "x ";
                abstractMap.put("x", word);
            } else if (termStr.contains("ng")) { //ng 类型
                abstractQuery += "ng ";
                abstractMap.put("ng", word);
            }
            else {
                abstractQuery += word + " ";
            }
        }
        System.out.println("========HanLP分词结束========");
        System.out.println(abstractMap);
        System.out.println(abstractQuery);

    }


}
